Bug 848420 - [abrt] supybot-0.83.4.1-8.fc17: file.py:192:close:IOError: [Errno 13] Permission denied: 'conf/users.conf'
[abrt] supybot-0.83.4.1-8.fc17: file.py:192:close:IOError: [Errno 13] Permiss...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: supybot (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricky Zhou
Fedora Extras Quality Assurance
abrt_hash:81bc48e5271c065c3290d21d015...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 10:30 EDT by Neil
Modified: 2013-08-01 05:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil 2012-08-15 10:30:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/supybot-wizard
comment:        Installed the package supybot and supybot-meetbot.  Made a directory supybot under ~ and changed to it.  Ran supybot-wizard and after giving username to use with bot it crashes with this error.
executable:     /usr/bin/supybot-wizard
kernel:         3.5.1-1.fc17.x86_64
time:           Wed 15 Aug 2012 06:21:30 PM GST
uid:            1000
username:       nlsthzn

backtrace:
:file.py:192:close:IOError: [Errno 13] Permission denied: 'conf/users.conf'
:
:Traceback (most recent call last):
:  File "/usr/bin/supybot-wizard", line 663, in <module>
:    main()
:  File "/usr/bin/supybot-wizard", line 538, in main
:    u = ircdb.users.newUser()
:  File "/usr/lib/python2.7/site-packages/supybot/ircdb.py", line 758, in newUser
:    self.flush()
:  File "/usr/lib/python2.7/site-packages/supybot/ircdb.py", line 615, in flush
:    fd.close()
:  File "/usr/lib/python2.7/site-packages/supybot/utils/file.py", line 192, in close
:    fd = file(self.filename, 'a')
:IOError: [Errno 13] Permission denied: 'conf/users.conf'
:
:Local variables in innermost frame:
:originalExists: True
:newSize: 72
:oldSize: 0
:self: <closed file '/home/nlsthzn/supybot/data/tmp/users.conf.e84291155d7d76bf57f24c12b2d5b467bf97a96c', mode 'w' at 0xef9f68>

smolt_data:
:
:
:General
:=================================
:UUID: b10b0067-b130-4b0d-b64e-9d819a6ccf5f
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6784.02
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 3401
:System Memory: 7964
:System Swap: 15257
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4147:404:32902:8195) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7202:32902:8195) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7190:32902:8195) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:32902:8195) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7242:32902:8195) pci, lpc_ich, PCI/ISA, H67 Express Chipset Family LPC Controller
:(4098:26425:5963:5963) pci, fglrx_pci, VIDEO, Barts PRO [ATI Radeon HD 6800 Series]
:(32902:7200:32902:8195) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5379:32902:8195) pci, e1000e, ETHERNET, 82579V Gigabit Network Connection
:(4098:43656:5963:43656) pci, snd_hda_intel, MULTIMEDIA, Barts HDMI Audio [Radeon HD 6800 Series]
:(4739:34962:32902:8195) pci, None, PCI/PCI, N/A
:(32902:7170:32902:8195) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:32902:8195) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:32902:8195) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:256:32902:8195) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:32902:8195) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:32902:8195) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 20209862 19037440 18832153 5136384 5016646 5016646
:/dev/sda5 /home ext4 4096 4096 96124941 70600442 65717562 24420352 24397323 24397323
:
Comment 1 Fedora End Of Life 2013-07-03 22:58:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 05:53:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.